## Package com.google.i18n.phonenumbers

Class Summary
AsYouTypeFormatter: A formatter which formats phone numbers as they are entered.
PhoneNumberMatch: The immutable match of a phone number within a piece of text.
PhoneNumberUtil: Utility for international phone numbers.

Enum Summary
NumberParseException.ErrorType
PhoneNumberUtil.Leniency: Leniency when finding potential phone numbers in text segments.
PhoneNumberUtil.MatchType: Types of phone number matches.
PhoneNumberUtil.PhoneNumberFormat: INTERNATIONAL and NATIONAL formats are consistent with the definition in ITU-T Recommendation E.
PhoneNumberUtil.PhoneNumberType: Type of phone numbers.
PhoneNumberUtil.ValidationResult: Possible outcomes when testing if a PhoneNumber is possible.

Exception Summary
NumberParseException: Generic exception class for errors encountered when parsing phone numbers.